## Create PlanGroupLink

### cURL

```bash
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/plangrouplinks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\
{\
  "planGroupId": "<string>",\
  "planId": "<string>",\
  "version": 123\
}\
'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/plangrouplinks"

payload = {
    "planGroupId": "<string>",
    "planId": "<string>",
    "version": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({planGroupId: '<string>', planId: '<string>', version: 123})
};

fetch('https://api.m3ter.com/organizations/{orgId}/plangrouplinks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### HTTP Response Status Codes
- 200
- 4XX
- 5XX

### Response Format
```json
{
  "id": "<string>",
  "version": 123,
  "planGroupId": "<string>",
  "planId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

## Authorizations
### Authorization
- **Type**: string
- **Location**: header
- **Required**: Yes

### Path Parameters
- **orgId**: string (required) - UUID of the organization

### Request Body
- **planGroupId**: string (required) - Minimum string length: `1`
- **planId**: string (required) - Minimum string length: `1`
- **version**: integer<int64> - The version number of the entity

### Response Details
- **id**: string (required) - The UUID of the entity.
- **version**: integer<int64> - The version number.
- **planGroupId**: string - ID of the linked PlanGroup.
- **planId**: string - ID of the linked Plan.
- **dtCreated**: string<date-time> - Creation date.
- **dtLastModified**: string<date-time> - Last modification date.
- **createdBy**: string - ID of the creator.
- **lastModifiedBy**: string - ID of the last modifier.
